Subject: [PATCH v2] ASoC: omap: convert per-board modules to platform drivers

From: [email-masked] (Mark Brown)
Date: Thu, 8 Sep 2011 11:18:32 -0700

On Thu, Sep 08, 2011 at 11:47:16PM +0530, Jassi Brar wrote:

> Can't we do by having omap_init_audio() in arch/arm/mach-omap2/devices.c
> generate a platform device of name depending upon machine_is_* ?

That's not a bad idea.  If we were going to do that it shouldn't be OMAP
specific, any platform could use it.  Though we'd need a way to override
it to provide platform data on systems that needs it.